﻿@using Xtoman.Admin.Helpers

@{
    var SupportOpenCount = Html.Action("OpenCount", "Support").ToString().TryToInt();
    var SupportWaitingCount = Html.Action("WaitingCount", "Support").ToString().TryToInt();
    var VerificationIdentitiesCount = Html.Action("IdentitiesCount", "Verification").ToString().TryToInt();
    var VerificationTelephonesCount = Html.Action("TelephonesCount", "Verification").ToString().TryToInt();
    var VerificationBankCardsCount = Html.Action("BankCardsCount", "Verification").ToString().TryToInt();
    var permissions = Html.Action("AllObject", "Role");
}

<div>
    @permissions
</div>

<div class="left side-menu">
    <div class="sidebar-inner slimscrollleft">
        <!--- Divider -->
        <div id="sidebar-menu">
            <ul>
                <li class="menu-title">منوی اصلی</li>

                @Html.LiActionLink( "داشبورد", "Index", "Home", "ti-home")
                @Html.LiActionLink( "دسته بندی ها", "Category", "ti-menu-alt", new List<LiActionLinkSubItems>()
{
new LiActionLinkSubItems(){ Action = "PostCategories", Text = "دسته بندی وبلاگ" },
new LiActionLinkSubItems(){ Action = "ProductCategories", Text = "دسته بندی محصول" },
new LiActionLinkSubItems(){ Action = "NewsCategories", Text = "دسته بندی خبر" },
})

                @Html.LiActionLink( "وبلاگ", "Blog", "ti-pencil", new List<LiActionLinkSubItems>()
{
new LiActionLinkSubItems(){ Action = "Index", Text = "همه نوشته ها" },
new LiActionLinkSubItems(){ Action = "Add", Text = "افزودن نوشته" },
})

                @Html.LiActionLink( "ارزهای الکترونیکی", "CurrencyType", "ti-email", new List<LiActionLinkSubItems>()
{
new LiActionLinkSubItems(){ Action = "Index", Text = "لیست ارزها" },
new LiActionLinkSubItems(){ Action = "Add", Text = "افزودن ارز" },
})

                @Html.LiActionLink( "تبادل های ارز", "ExchangeType", "ti-email", new List<LiActionLinkSubItems>() {
new LiActionLinkSubItems(){ Action = "Index", Text = "لیست تبادل های ارز" },
new LiActionLinkSubItems(){ Action = "Add", Text = "افزودن تبادل"},
new LiActionLinkSubItems(){ Action = "Rate", Text = "نرخ تبدیل ارزها" },
new LiActionLinkSubItems(){ Action = "MultipleRate", Text = "تغییر دسته جمعی درصد" }
})

                @Html.LiActionLink( "سفارش های تبادل ارز", "ExchangeOrder", "ti-shift-right", new List<LiActionLinkSubItems>()
{
new LiActionLinkSubItems(){ Action = "Index", Text = "لیست سفارش ها" },
new LiActionLinkSubItems(){ Action = "Add", Text = "افزودن سفارش"},
new LiActionLinkSubItems(){ Action = "Reviews", Text = "نظرات"},
})

                @Html.LiActionLink( "کاربران", "User", "ti-user", new List<LiActionLinkSubItems>()
{
new LiActionLinkSubItems(){ Action = "Index", Text = "حساب های کاربران" },
new LiActionLinkSubItems(){ Action = "Add", Text = "افزودن حساب" },
new LiActionLinkSubItems(){ Action = "Potential", Text = "کاربران بالقوه" },
})
                @Html.LiActionLink( "احراز هویت", "Verification", "ti-user", new List<LiActionLinkSubItems>()
{
new LiActionLinkSubItems(){ Action = "Index", Text = "احراز کاربران", BadgeText = "کل درخواست ها", BadgeValue = VerificationIdentitiesCount + VerificationBankCardsCount + VerificationTelephonesCount },
new LiActionLinkSubItems(){ Action = "Identities", Text = "مدارک", BadgeText = "درخواست های احراز مدارک", BadgeValue = VerificationIdentitiesCount },
new LiActionLinkSubItems(){ Action = "BankCards", Text = "کارت های بانکی", BadgeText = "درخواست های تایید کارت بانکی", BadgeValue = VerificationBankCardsCount },
new LiActionLinkSubItems(){ Action = "Telephones", Text = "شماره تلفن ثابت", BadgeText = "درخواست های تایید تلفن ثابت", BadgeValue = VerificationTelephonesCount },
})

                @Html.LiActionLink( "فینوتک", "Finnotech", "ti-menu-alt", new List<LiActionLinkSubItems>()
{
new LiActionLinkSubItems(){ Action = "Index", Text = "خدمات" },
new LiActionLinkSubItems(){ Action = "IdVerification", Text = "صحت سنجی کارت ملی" },
new LiActionLinkSubItems(){ Action = "CardInfo", Text = "صحت سنجی کارت بانکی" },
new LiActionLinkSubItems(){ Action = "History", Text = "تاریخچه درخواست ها" },
})

                @Html.LiActionLink( "Pay.Ir", "PayIr", "ti-menu-alt", new List<LiActionLinkSubItems>()
{
new LiActionLinkSubItems(){ Action = "Index", Text = "داشبورد" },
new LiActionLinkSubItems(){ Action = "Transactions", Text = "لیست تراکنش ها" },
new LiActionLinkSubItems(){ Action = "Settlement", Text = "لیست تسویه ها" },
new LiActionLinkSubItems(){ Action = "IBAN", Text = "لیست شماره شباها" },
})

                @Html.LiActionLink( "پشتیبانی", "Index", "Support", "ti-support", new List<LiActionBadgeItem>() {
            new LiActionBadgeItem { Text = "تیکت های باز", Value = SupportOpenCount, Badge = "primary" },
            new LiActionBadgeItem { Text = "تیکت های بی پاسخ", Value = SupportWaitingCount, Badge = "warning" }
        })

                @Html.LiActionLink( "ارسال پیامک", "Index", "SMS", "ti-settings")

                @Html.LiActionLink( "ایمیل", "Email", "ti-email", new List<LiActionLinkSubItems>()
{
new LiActionLinkSubItems(){ Action = "Index", Text = "حساب های ایمیل" },
new LiActionLinkSubItems(){ Action = "Add", Text = "افزودن حساب" },
new LiActionLinkSubItems(){ Action = "Send", Text = "ارسال ایمیل" },
})

                @Html.LiActionLink( "بایننس", "Binance", "ti-loop", new List<LiActionLinkSubItems>()
{
new LiActionLinkSubItems(){ Action = "Index", Text = "موجودی" },
new LiActionLinkSubItems(){ Action = "Orders", Text = "سفارش ها" },
new LiActionLinkSubItems(){ Action = "WithdrawHistory", Text = "تاریخچه برداشت" },
new LiActionLinkSubItems(){ Action = "AddOrder", Text = "افزودن سفارش" },
})

                @Html.LiActionLink( "کرکن", "Kraken", "ti-loop", new List<LiActionLinkSubItems>()
{
new LiActionLinkSubItems(){ Action = "Index", Text = "موجودی" },
new LiActionLinkSubItems(){ Action = "Trade", Text = "تبدیل" },
})

                @Html.LiActionLink( "CoinPayments", "CoinPayments", "ti-loop", new List<LiActionLinkSubItems>()
{
new LiActionLinkSubItems(){ Action = "Index", Text = "موجودی" },
new LiActionLinkSubItems(){ Action = "IPN", Text = "وضعیت دیپوزیت ها" },
new LiActionLinkSubItems(){ Action = "Withdraws", Text = "وضعیت خروجی ها" },
//new LiActionLinkSubItems(){ Action = "Orders", Text = "سفارش ها" },
//new LiActionLinkSubItems(){ Action = "WithdrawHistory", Text = "تاریخچه برداشت" },
})
                @Html.LiActionLink( "تنظیمات", "Index", "Setting", "ti-settings")
                @Html.LiActionLink( "LocalBitcoins", "Index", "LocalBitcoins", "ti-settings")

            </ul>
            <div class="clearfix"></div>
        </div>
        <div class="clearfix"></div>
    </div>
</div>